Skip to main content
GET
/
v1
/
products
/
{id}
Get product
curl --request GET \
  --url https://api.hyperline.co/v1/products/{id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.hyperline.co/v1/products/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.hyperline.co/v1/products/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "itm_3kXODDF42QXtnL",
  "name": "Product name",
  "status": "active",
  "description": "Product internal description",
  "description_display_interval_dates": true,
  "public_description": "Product public description",
  "translations": {},
  "properties": null,
  "custom_properties": {},
  "accounting": {},
  "integrations": [
    {
      "entity_id": "123456789",
      "provider_name": "stripe",
      "provider_account_id": "acc_1234567890"
    }
  ],
  "type": "flat_fee",
  "is_available_on_demand": true,
  "is_available_on_subscription": true,
  "price_configurations": [
    {
      "id": "<string>",
      "product_id": "<string>",
      "price_book_id": "<string>",
      "status": "active",
      "currency": "EUR",
      "country": "FR",
      "plan_id": "<string>",
      "billing_interval": {
        "period": "once"
      },
      "commitment_interval": {
        "period": "all"
      },
      "updated_at": "2023-12-25",
      "archived_at": "2023-12-25",
      "type": "fee",
      "prices": [
        {
          "type": "fee",
          "amount": 123,
          "id": "<string>"
        }
      ]
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Query Parameters

price_book_id
string

Response

200 - application/json
id
string
required

Product ID.

Example:

"itm_3kXODDF42QXtnL"

name
string
required

Product name.

Example:

"Product name"

status
enum<string>
required

Product status.

  • active: The product is active and can be used in new quotes/subscriptions/invoices.
  • archived: The product is archived and can't be used anymore.
Available options:
active,
archived
Example:

"active"

description
string | null
required

Product description.

Example:

"Product internal description"

description_display_interval_dates
boolean
required

Indicates if the dates of the interval should be automatically added in the product description on the invoices.

public_description
string | null
required

Public description of the product.

Example:

"Product public description"

translations
object | null
required

Product name and description translations.

properties
object | null
required

Key/value pairs to store any metadata useful in your context.

Example:

null

custom_properties
object
required

A list of key value with the slug of the custom property as the key and the custom property value as value.

accounting
object
required

Mapping invoicing entity ID/accounting settings.

integrations
object[]
required

References to this product in external providers (billing, accounting, etc).

type
enum<string>
required

Product type.

Available options:
flat_fee
is_available_on_demand
boolean
required
deprecated

Enable the product to be billed at any time as a one-time payment.

Example:

true

is_available_on_subscription
boolean
required
deprecated

Enable the product to be added as part of a subscription.

Example:

true

price_configurations
object[]
required